#### D.6.6.3 semiGroup

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Return:
  list L; list with three entries associated to the algebra generated by the sagbi basis:
  generators of the semigroup
  the conductor
  the semigroup

Example:

    LIB "classify_aeq.lib";
    ring R=0,t,ds;
    ideal I=t8,t10+t13,t12+t15,t23-t29,t27;
    semiGroup(I);
    ==> [1]:
    ==>    8,10,12,23,27
    ==> [2]:
    ==>    30
    ==> [3]:
    ==>    0,8,10,12,16,18,20,22,23,24,26,27,28,30
    I=t8,t10+t13,t12+2t15,t27-3t33,t29;
    semiGroup(I);
    ==> [1]:
    ==>    8,10,12,27,29
    ==> [2]:
    ==>    34
    ==> [3]:
    ==>    0,8,10,12,16,18,20,22,24,26,27,28,29,30,32,34

User manual for Singular version 4.4.1, 2025, generated by texi2html.